# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class IngredientTypeEnum(str, Enum):
    """
    IngredientTypeEnum
    """

    """
    allowed enum values
    """
    VEGETABLE = 'VEGETABLE'
    FRUIT = 'FRUIT'
    BEEF = 'BEEF'
    DUCK = 'DUCK'
    CHICKEN = 'CHICKEN'
    FISH = 'FISH'
    ALCOHOL = 'ALCOHOL'
    PASTA = 'PASTA'
    RICE = 'RICE'
    PORK = 'PORK'
    DAIRY = 'DAIRY'
    VEAL = 'VEAL'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of IngredientTypeEnum from a JSON string"""
        return cls(json.loads(json_str))


